﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SuperOrderManager
{
    public partial class frmOrderManager : Form
    {
        private DataSet ds;

        public frmOrderManager()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            ds = new DataSet();
            using (SqlDataAdapter da = new SqlDataAdapter("OrderGet",SuperOrderManager.Properties.Settings.Default.ConnStr))
            {
                da.SelectCommand.CommandType = CommandType.StoredProcedure;
                da.SelectCommand.Parameters.AddWithValue("@OrderID", txtLoadOrder.Text);
                da.Fill(ds);

                DateTime OD = Convert.ToDateTime(ds.Tables[0].Rows[0].ItemArray[0].ToString());
                txtOrderDate.Text = OD.ToShortDateString();
                txtCustomerName.Text = ds.Tables[0].Rows[0].ItemArray[1].ToString();

                dgvOrderDetails.DataSource = ds.Tables[1];
                dgvOrderDetails.Columns["OrderDetailID"].Visible = false;
                dgvOrderDetails.Columns["OrderID"].Visible = false;
                ds.Tables[1].Columns["OrderID"].DefaultValue = txtLoadOrder.Text;

                dgvResults.DataSource = null;
            }
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            ds.Tables[1].AcceptChanges();
            using (SqlDataAdapter da = new SqlDataAdapter("OrderUpdate", SuperOrderManager.Properties.Settings.Default.ConnStr))
            using (DataSet rs = new DataSet())
            {
                da.SelectCommand.CommandType = CommandType.StoredProcedure;
                da.SelectCommand.Parameters.AddWithValue("@OrderID", txtLoadOrder.Text);
                da.SelectCommand.Parameters.AddWithValue("@OrderDate", txtOrderDate.Text);
                da.SelectCommand.Parameters.AddWithValue("@CustomerName", txtCustomerName.Text);
                da.SelectCommand.Parameters.AddWithValue("@OD", ds.Tables[1]);
                da.Fill(rs);
                dgvResults.DataSource = rs.Tables[0];
            }
        }
    }
}
